# Uncomment this if you have pre-jpackage ant.
#%%define ant  JAVA_HOME=%{java_home} classic-ant

# The intersection of the IBM-supported platforms and
# the platforms we want.
ExclusiveArch:		i386 ia64 ppc x86_64

%define pkg_summary     An open extensible IDE
%define section         free
%define swt_version     3064
%define corelib_version 2_1_0b
%define eclipse_major   3
%define eclipse_minor   0
%define eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%define eclipse_micro   2
%define mozilla_version 1.7.10
%define libname         libswt3

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc
%define eclipse_arch	ppc
%define java_arch	ppc
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch ppc64pseries
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

Summary:        %{pkg_summary}
Name:           eclipse
Version:        %{eclipse_majmin}.%{eclipse_micro}
Release:        8
License:        CPL
Group:          Text Editors/Integrated Development Environments (IDE)
URL:            http://www.eclipse.org/
Source0: 	http://download.eclipse.org/eclipse/downloads/drops/R-3.0.2-200503110845/eclipse-sourceBuild-srcIncluded-3.0.2.zip	
Source1:        %{name}.script
Source2:        %{name}.desktop
Source3:        %{name}-16.gif
Source4:        %{name}-32.gif
Source5:        %{name}-48.png
Source6:        %{name}.conf
Source7:        %{name}-jdt.install
Source8:        %{name}-pde.install     
Source9:        %{name}-platform.install
Source10:       %{name}-source.install
Source14:       %{name}-gtk.install
Source17:	%{name}-tools-build.xml
Source18:	%{name}-redhat-splash.png
Source20:	%{name}-rhdocs-r20041017.tar.gz
Source21:	%{name}-copy-platform.sh
Source22:       %{name}-tutorials.pdf

Patch0:         %{name}-make-gtk.patch
Patch1:         %{name}-make-core.patch
Patch2:         %{name}-make-gtk2.patch
Patch9:         %{name}-org.eclipse.core.resources-Makefile.patch
Patch16:        %{name}-make-gtk3.patch
Patch17:	%{name}-platformOptions.patch
# We don't use this one yet but we want to keep it around.
# The mozilla stuff requires 1.6.
Patch18:        %{name}-make-gtk4.patch
Patch19:	%{name}-jnigen.patch
Patch20:	%{name}-gtk-launcher.patch
Patch21:	%{name}-org.eclipse.help.appserver-host.patch
Patch22:	%{name}-welcome-screen.patch
Patch23:	%{name}-cvs-permission-bits.patch
Patch24:	%{name}-cvs-permission-bits2.patch
Patch25:	%{name}-search.patch
# The Mozilla version we have is too high so patch around this.
Patch26:	%{name}-mozilla.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ant
BuildRequires:  perl
BuildRequires:  jpackage-utils >= 0:1.5, make, gcc
# MDK 9.1 libgnome-vfs2_0-devel
# RH 8.0, 9, FC: gnome-vfs2-devel
BuildRequires:  %{_libdir}/pkgconfig/gnome-vfs-2.0.pc
# MDK 9.1: libgtk+2.0_0-devel
# RH 8.0, 9, FC: gtk2-devel
BuildRequires:  %{_libdir}/pkgconfig/gtk+-2.0.pc
# MDK 9.1: libglib2.0_0-devel
# RH 8.0, 9, FC: glib2-devel
BuildRequires:  %{_libdir}/pkgconfig/gthread-2.0.pc
# FC 1, 2: libgnomeui-devel
BuildRequires:  %{_libdir}/pkgconfig/libgnomeui-2.0.pc
BuildRequires:	java-devel >= 1.4.2
BuildRequires:  xorg-x11-devel
BuildRequires:  mozilla
BuildRequires:  mozilla-devel
BuildRequires:  mozilla-nspr

%description
The Eclipse Platform is designed for building integrated development
environments (IDEs) that can be used to create applications as diverse
as web sites, embedded Java(tm) programs, C++ programs, and Enterprise
JavaBeans(tm).

%package        ecj
Summary:        Eclipse Compiler for Java
Group:          Development/Languages
Obsoletes:	ecj
Provides:	ecj
Requires:	java >= 1.4.2

%description    ecj
Eclipse compiler for Java.

%package        platform
Summary:        Eclipse platform common files
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       %{name} = %{version}-%{release}
Obsoletes:	%{name}-sdk %{name}-ui %{name}-gtk2 %{name}-scripts eclipse
Provides:	%{name}-sdk = %{version}-%{release}
Provides:       %{name}-ui = %{version}-%{release}
Provides:       %{name}-scripts = %{version}-%{release}
Provides:       %{name}-gtk2 = %{version}-%{release}
Requires:	java >= 1.4.2
Requires:       %{libname}-gtk2 = %{version}-%{release}
Requires:       /usr/bin/perl
Requires:       /usr/bin/mozilla

%description    platform
Eclipse platform common files.  This package now contains the GTK2 UI (the
former eclipse-gtk2 package).

%package        platform-devel
Summary:        Eclipse platform Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-platform = %{version}-%{release}

%description    platform-devel
Source for Eclipse platform for use within Eclipse.

%package        jdt
Summary:        Eclipse Java development tools
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-platform = %{version}-%{release}
Requires:       %{name}-ecj = %{version}-%{release}

%description    jdt
Eclipse Java developments tools.

%package        jdt-devel
Summary:        Eclipse JDT Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jdt = %{version}-%{release}

%description    jdt-devel
Source for JDT for use within Eclipse.

%package        pde
Summary:        Eclipse PDE
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jdt = %{version}-%{release}
Requires:       %{name}-platform-devel = %{version}-%{release}

%description    pde
Eclipse Plug-in Development Environment.

%package        pde-devel
Summary:        Eclipse PDE Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-pde = %{version}-%{release}
Requires:       %{name}-jdt-devel = %{version}-%{release}
Obsoletes:	%{name}-source
Provides:       %{name}-source = %{version}-%{release}

%description    pde-devel
Source for PDE for use within Eclipse.

%package     -n %{libname}-gtk2
Summary:        SWT Library for GTK2
Group:          Text Editors/Integrated Development Environments (IDE)

%description -n %{libname}-gtk2
SWT Library for GTK2.

%prep
%setup -q -c
pushd "plugins/org.eclipse.swt.tools"
cp %{SOURCE17} build.xml
popd
pushd "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
%patch0 -p0
popd
%patch1 -p1
%patch2 -p1
%patch9 -p0
pushd "plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library"
%patch16 -p0
%patch18 -p0
popd
%patch17 -p0
pushd "plugins/org.eclipse.swt.tools/JNI Generation"
%patch19 -p0
popd
%patch20 -p0
pushd "plugins/org.eclipse.help.appserver"
%patch21 -p0
popd
pushd "plugins/org.eclipse.platform"
%patch22 -p0
popd
pushd "plugins/org.eclipse.team.cvs.core"
%patch23 -p0
popd
pushd "plugins/org.eclipse.team.cvs.ui"
%patch24 -p0
popd
pushd "plugins/org.eclipse.search"
%patch25 -p0
popd
pushd "plugins/org.eclipse.swt/Eclipse SWT Mozilla"
%patch26 -p0
popd

# Red Hat splash screen.
pushd plugins/org.eclipse.platform
cp %{SOURCE18} splash.bmp
popd

# Nuke platform-dependent libs and executables
find . -type f -name "*.s[lo]" -exec rm -f {} ';'
find plugins/platform-launcher/bin -type f -name eclipse -exec rm -f {} ';'

# That's a bit too verbose to me...
perl -pi -e 's|(<javac[^>]+verbose=)"true"|${1}"false"|g' \
  `find . -type f -name "build*.xml"`

# Fail on error...
perl -pi -e 's|failonerror="[A-Za-z]*"|failonerror="yes"|g' \
  `find . -type f -name "build*.xml"`

# Eclipse assumes you will only want to build on platforms for which
# they ship.  There are hard-coded files and directories in a few
# places.  For "non-approved" platforms we make a copy and massage it
# into shape.  This is written in a somewhat funny way so we can
# extend it later if need be.
src=
dest=
%ifarch ppc64 sparc64 x86_64
src=amd64
dest=%{eclipse_arch}
%endif

if test -n "$src"; then
  find . -name "*$src*" -print |
  while read f; do
    d=$(echo $f | sed -e "s/$src/$dest/g")
    mv $f $d
  done

  # Now update all the xml files to report our real arch.
  find . -name '*.xml' -print0 |
  xargs -0 perl -pi -e "s/$src/$dest/g;"
fi


%build
export ANT_OPTS=-Xmx768m

#find -name \*.jar -exec rm -f {} \;
#
pushd plugins/org.eclipse.swt.tools
rm -f swttools.jar
%{ant} \
    -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
    -Dbuild.compiler=modern \
    -DjavacVerbose=false -DjavacFailOnError=true \
    -Dbootclasspath=
popd

mkdir -p './JNI Generation/org/eclipse/swt/tools/internal/'
%{ant} -buildfile build.xml \
    -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
    -Dbuild.compiler=modern \
    -DjavacVerbose=false -DjavacFailOnError=true \
    -Dbootclasspath= \
  compile

# Overwrite eclipse.org documentation with our own and then build the docs
pushd plugins
ln org.eclipse.platform/startup.jar ../.
for buildDoc in `/usr/bin/gzip -dc %{SOURCE20} | tar -vxf - | grep build.xml`; do
	pushd `echo $buildDoc | sed -e 's/build.xml//g'`
	if [ -e buildDoc.xml ]; then
		java -cp ../../startup.jar org.eclipse.core.launcher.Main -application org.eclipse.ant.core.antRunner -v -f buildDoc.xml
	fi
	popd
done
rm ../startup.jar
popd

suff=
%ifarch alpha ia64 ppc64 sparc64 x86_64
suff=.gtk64/src
%endif

# Symlink some gtk sources.
pushd "plugins/org.eclipse.swt${suff}/Eclipse SWT PI/gtk/library" &&
ln -sf "../../../Eclipse SWT Program/gnome/library/"*.[ch] . &&
ln -sf "../../../Eclipse SWT AWT/gtk/library/"*.[ch] . &&
ln -sf "../../../Eclipse SWT Mozilla/common/library/"*.cpp . &&
popd

pushd "plugins/org.eclipse.swt${suff}/Eclipse SWT/common/library"
cp -p callback.c callback.h make_common.mak swt.h swt.c \
  "../../../Eclipse SWT PI/gtk/library"
popd

pushd "plugins/org.eclipse.swt${suff}/Eclipse SWT PI/gtk/library"
swtflags=
%ifarch alpha ia64 ppc64 sparc64 x86_64
swtflags='SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64'
%ifarch ia64
# Sigh.
swtflags="$swtflags XTEST_LIB_PATH=/usr/X11R6/lib"
%endif
%ifarch x86_64
# Double sigh.
swtflags="$swtflags XTEST_LIB_PATH=/usr/X11R6/lib64"
%endif
%endif
make \
$swtflags \
JAVA_HOME="%{java_home}" \
JAVA_JNI="%{java_home}/include" \
AWT_LIB_PATH="%{java_home}/jre/bin" \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -DNO_LONG -I%{java_home}/include -I%{java_home}/include/linux" \
GECKO_HOME="%{_libdir}/mozilla-%{mozilla_version}" \
GECKO_INCLUDE_BASE="%{_includedir}/mozilla-%{mozilla_version}" \
GECKO_LIBFLAG="-L%{_libdir}/mozilla-%{mozilla_version}" \
-f make_linux.mak all
mkdir -p ../../../os/linux/%{eclipse_arch}
cp -p libswt-*.so ../../../os/linux/%{eclipse_arch}
popd

pushd plugins/platform-launcher/library/gtk
make \
JPACKAGE_CFLAGS="$RPM_OPT_FLAGS" \
DEFAULT_OS="linux" \
DEFAULT_OS_ARCH="%{eclipse_arch}" \
DEFAULT_WS="gtk" \
PROGRAM_OUTPUT="eclipse" \
PROGRAM_NAME="Eclipse" \
-f make_linux.mak clean all
cp -p eclipse ../../bin/linux/gtk
popd
cp -p plugins/platform-launcher/bin/linux/gtk/eclipse .

pushd plugins/org.eclipse.core.resources.linux/src
make JDK_INCLUDE="%{java_home}/include" JPACKAGE_CFLAGS="$RPM_OPT_FLAGS -I%{java_home}/include -I%{java_home}/include/linux"
mkdir -p ../os/linux/%{eclipse_arch}
cp -p libcore_*.so ../os/linux/%{eclipse_arch}
popd

pushd plugins/org.eclipse.update.core.linux/src
gcc $RPM_OPT_FLAGS -fPIC -o  libupdate.so -shared *.c -I.  -I%{java_home}/include -I%{java_home}/include/linux
popd

pushd plugins/org.eclipse.team.cvs.core/library
make \
JAVA_HOME="%{java_home}" \
OS="linux" \
clean all
popd

%install
rm -rf $RPM_BUILD_ROOT

export ANT_OPTS=-Xmx768m
%{ant} \
    -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
    -Dbuild.compiler=modern \
    -DjavacVerbose=false -DjavacFailOnError=true \
    -Dbootclasspath= \
    -Djavadoc=%{javadoc} \
  install

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
find result -type f -name "*.zip" -exec unzip -d $RPM_BUILD_ROOT%{_datadir} {} \;

install -m 644 plugins/org.eclipse.platform/startup.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/startup.jar
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.platform_*/startup.jar
install -m 644 plugins/platform-launcher/bin/linux/gtk/icon.xpm  $RPM_BUILD_ROOT%{_datadir}/%{name}/icon.xpm

# binaries and libs
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}

install -m 755 eclipse $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -sf %{_libdir}/%{name}/eclipse eclipse
popd

suff=
%ifarch alpha ia64 ppc64 sparc64 x86_64
suff=.gtk64/src
%endif

cp -p plugins/org.eclipse.update.core.linux/src/libupdate*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
cp -p plugins/org.eclipse.core.resources.linux/os/linux/%{eclipse_arch}/libcore_*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
cp -p plugins/org.eclipse.swt${suff}/os/linux/%{eclipse_arch}/libswt*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
cp -p plugins/org.eclipse.team.cvs.core/library/libcvs.so $RPM_BUILD_ROOT%{_libdir}/%{name}/

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
chmod 755 eclipse *.so
popd

install -d -m 755 $RPM_BUILD_ROOT%{_jnidir}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}

### begin core lib symlinks
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.core.resources.linux_%{eclipse_majmin}.0/os/linux/%{eclipse_arch}
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.core.resources.linux_%{eclipse_majmin}.0/os/linux/%{eclipse_arch}
ln -sf %{_libdir}/%{name}/libcore_%{corelib_version}.so libcore_%{corelib_version}.so
popd

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.update.core.linux_%{eclipse_majmin}.1/os/linux
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.update.core.linux_%{eclipse_majmin}.1/os/linux
ln -sf %{_libdir}/%{name}/libupdate.so libupdate.so
popd
### end core lib symlinks

### begin libswt-gtk2 symlinks
pushd $RPM_BUILD_ROOT%{_libdir}
for base in mozilla-gtk atk-gtk gnome-gtk gtk pi-gtk; do
  ln -sf %{_libdir}/%{name}/libswt-${base}-%{swt_version}.so \
         libswt-${base}-%{swt_version}.so
done
popd

gtksuff=
%ifarch alpha ia64 ppc64 sparc64 x86_64
gtksuff=64
%endif

pushd $RPM_BUILD_ROOT%{_jnidir}
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk${gtksuff}_%{eclipse_majmin}.2/ws/gtk/swt.jar swt-gtk-%{version}.jar
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk${gtksuff}_%{eclipse_majmin}.2/ws/gtk/swt-pi.jar swt-pi-gtk-%{version}.jar
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk${gtksuff}_%{eclipse_majmin}.2/os/linux/%{eclipse_arch}
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk${gtksuff}_%{eclipse_majmin}.2/os/linux/%{eclipse_arch}
for base in mozilla-gtk atk-gtk gnome-gtk gtk pi-gtk; do
  ln -sf %{_libdir}/%{name}/libswt-${base}-%{swt_version}.so \
         libswt-${base}-%{swt_version}.so
done
popd

### end libswt-gtk2 symlinks

### begin ecj symlinks
mkdir -p $RPM_BUILD_ROOT%{_datadir}/java
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf ../%{name}/plugins/org.eclipse.jdt.core_%{version}/jdtCompilerAdapter.jar jdtCompilerAdapter.jar
ln -sf ../%{name}/plugins/org.eclipse.jdt.core_%{version}/jdtcore.jar jdtcore.jar
popd
### end ecj symlinks

### begin libcvs symlink
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.team.cvs.core_%{eclipse_majmin}.1
mkdir -p os/linux/%{eclipse_arch}
pushd os/linux/%{eclipse_arch}
ln -sf %{_libdir}/%{name}/libcvs.so libcvs.so
popd
popd
### end libcvs symlink

### begin jar symlinks
(cd $RPM_BUILD_ROOT%{_jnidir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
### end jar symlinks

# Script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
perl -pe \
  's|/usr/share/eclipse/|%{_datadir}/%{name}/|g ;
   s|/etc/|%{_sysconfdir}/|g ;
   s|/usr/bin/|%{_bindir}/|g' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/eclipse
chmod a+x $RPM_BUILD_ROOT%{_bindir}/eclipse

# Default config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
perl -pe 's|/usr/lib/eclipse/|%{_datadir}/%{name}/|g' \
  %{SOURCE6} > $RPM_BUILD_ROOT%{_sysconfdir}/eclipse.conf


# rh/freedesktop.org icons
install -p -D -m0644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -D -m0644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps

# rh docs
install -p -D -m0644 %{SOURCE22} \
  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{eclipse_majmin}.%{eclipse_micro}/%{name}-tutorial.pdf

# A sanity check.
desktop-file-validate %{SOURCE2}

# freedesktop.org menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

cat %{SOURCE7} > %{name}-jdt.install
cat %{SOURCE8} > %{name}-pde.install
cat %{SOURCE9} > %{name}-platform.install

cat %{SOURCE10} > %{name}-source.install
cat %{SOURCE14} > %{name}-gtk.install

cat >> $RPM_BUILD_ROOT%{_datadir}/%{name}/.eclipseproduct << EOF
name=Eclipse Platform
id=org.eclipse.platform
version=%{eclipse_majmin}.%{eclipse_micro}
EOF


# Create a script that can be used to make a symlink tree of the
# eclipse platform.
cp %{SOURCE21} copy-platform
(
  cd $RPM_BUILD_ROOT%{_datadir}/%{name}
  ls -d * | egrep -v '^(plugins|features)$'
  ls -d plugins/* features/*
) |
sed -e's/^\(.*\)$/\1 \1/' -e's,^,ln -s $eclipse/,' >> copy-platform

mkdir $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts
cp copy-platform $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts
chmod a+x $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/copy-platform


%clean
rm -rf $RPM_BUILD_ROOT

%files ecj
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/configuration
%{_datadir}/%{name}/plugins/org.eclipse.jdt.core_3.*
%dir %{_datadir}/java
%{_datadir}/java/jdtCompilerAdapter.jar
%{_datadir}/java/jdtcore.jar

%files -n %{libname}-gtk2
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/configuration
%ifarch alpha ia64 ppc64 sparc64 x86_64
%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk64_3.*
%else
%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk_3.*
%endif
%{_libdir}/%{name}/libswt-gnome-gtk-*.so
%{_libdir}/%{name}/libswt-gtk-*.so
%{_libdir}/%{name}/libswt-pi-gtk-*.so
%{_libdir}/%{name}/libswt-atk-gtk-*.so
%{_libdir}/%{name}/libswt-mozilla-gtk-*.so
%{_libdir}/libswt-*.so
%{_jnidir}/swt-gtk*.jar
%{_jnidir}/swt-pi-gtk*.jar

%files jdt -f %{name}-jdt.install
%defattr(0644,root,root,0755)

%files jdt-devel
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/plugins/org.eclipse.jdt.source_3.*
%{_datadir}/%{name}/features/org.eclipse.jdt.source_3.*

%files pde -f %{name}-pde.install
%defattr(0644,root,root,0755)

%files pde-devel
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/plugins/org.eclipse.pde.source_3.*
%{_datadir}/%{name}/features/org.eclipse.pde.source_3.*

%files platform -f %{name}-platform.install
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/.eclipseproduct
%{_datadir}/%{name}/startup.jar
%dir %{_datadir}/%{name}/buildscripts
%attr(0755,root,root) %{_datadir}/%{name}/buildscripts/copy-platform
%attr(0755,root,root) %{_libdir}/%{name}/eclipse
%{_datadir}/%{name}/icon.xpm
%{_libdir}/%{name}/libcore*
%{_libdir}/%{name}/libupdate*
%{_datadir}/%{name}/eclipse
%{_libdir}/%{name}/libcvs.so
%attr(0755,root,root) %{_bindir}/eclipse
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%config(noreplace) %{_sysconfdir}/eclipse.conf

%files platform-devel
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/plugins/org.eclipse.platform.source_3.*
%{_datadir}/%{name}/features/org.eclipse.platform.source_3.*
%{_datadir}/%{name}/plugins/org.eclipse.platform.source.linux.gtk.*

%changelog
* Fri Aug 11 2005 Jeff Pound <jpound@redhat.com> 3.0.2-8
- Use mozilla version 1.7.10.

* Fri Aug 05 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-7
- Build libswt-mozilla-gtk.so.
- Add patch for API change between mozilla 1.6 and 1.7.7.

* Mon Jul 18 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-6
- Add XTEST_LIB_PATH on x86_64 to stop unsatisfied link errors.
- Add xorg-x11-devel build requirement.
- BuildRequire java-devel (not java).
- Minor tweaks courtesy JPackage.org.
- Remove junit requirement (since we're using all Eclipse.org jars).

* Tue Jun 21 2005 Aaron Luchko <aluchko@redhat.com> 3.0.2-5
- Fixed permissions on %{_libdir}/%{name}/eclipse and %{_bindir}/eclipse

* Tue Jun 21 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-4
- Add x86_64.

* Fri Jun 03 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-3
- Update to new (as in Fedora Core 4) sub-RPM layout.

* Tue May 24 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-2
- Don't use %{eclipse_micro} for plugin names.

* Thu Apr 21 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-1
- Update sources to 3.0.2.
- Update SWT patches. 

* Tue Mar 29 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-12
- Bump release.
- Remove old changelog entries (< 3.0.1).
- Add 64-bit awareness to SWT jar locations.

* Fri Mar 18 2005 Jeff Pound <jpound@redhat.com> 3.0.1-6
- Remove ia64 from xml workaround loop.

* Wed Jan 5 2005 Aaron Luchko <aluchko@redhat.com> 3.0.1-5
- fixed problem in search.patch
- added search.patch a backported bugfix from 3.1.0
- added charsets.patch to accommodate improper encodings and ibm jvm

* Mon Dec 06 2004 Aaron Luchko <aluchko@redhat.com> 3.0.1-4
- changed eclipse.script to use /usr/bin/java when no jvm is supplied

* Mon Nov 22 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-3
- split cvs-permission-bits.patch in two
- bug fix for cvs-permission-bits.patch

* Fri Oct 29 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-2
- add symlink for releng plugins that rely on o.e.pde.build_3.0.0

* Fri Oct 29 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-1
- updated to Eclipse 3.0.1
- updated jnigen patch
- removed some debugging print statements 
- updated Red Hat documentaion sources
- added Red Hat documentation pdf
- remove commented ftp-webdav stuff as it will be in it's own spec file
